Module
Inhalte
Index 🔎︎

# Funktion DateAdd

Fügt einem Datum so oft wie angegeben ein Datumsintervall hinzu und gibt das resultierende Datum zurück.

## Syntax:

    DateAdd (Intervall, Anzahl, Datum)

## Rückgabewert:

Ein Variante, die ein Datum enthält.

## Parameter:

Intervall - Ein Zeichenkettenausdruck aus der folgenden Tabelle, der das Datumsintervall angibt.

Intervall (Zeichenkette) | Erklärung
yyyy | Jahr
q | Quartal
m | Monat
y | Kalendertag
w | Wochentag
ww | Kalenderwoche
d | Tag
h | Stunde
n | Minute
s | Sekunde

Anzahl - Ein numerischer Ausdruck, der angibt, wie oft das Intervall Interv addiert (Anzahl ist positiv) oder subtrahiert (Anzahl ist negativ) wird.

Datum - Ein angegebenes Datum oder der Name einer Variant-Variablen, die ein Datum enthält. Der Wert von Interv wird so oft, wie mit Anzahl festgelegt, zu diesem Wert addiert.

## Beispiel:

    Sub example_dateadd

        MsgBox DateAdd("m", 1, "1/31/2004") &" - "& DateAdd("m", 1, "1/31/2005")

    End Sub